C Fortran example to call TMDlib routines
	Program TMDFortInterface
      Implicit None
      Character name*132,namet*132
      Integer irep,imode
      Double Precision up,ubar,dn,dbar,strange,sbar,charm,cbar,bottom,bbar,glu
      Double Precision x,xbar,kt,mu
      Integer kf
      Integer isetTMDlib
      Integer TMDnumberPDF
      external TMDnumberPDF
      
      Integer isets(28) /200001,200002,210001,101201,101301,101000,101011,101012,101010,101013,
     &                  101021,101022,101020,101023,
     &                  400001,400002,400003,400004,410001,500001,
     &                  102100,102200,102239,102139,
     &                  10901300,10901400,
     &                  10904400,10904300/

      
      Integer iset,i,j
      
      
      Write(6,*) ' TMDlib Fortran examples '
      x = 0.01
      xbar = 0
      kt = 10.
      mu = 100.
      
      do i=1,28
         iset = isets(i)
         call TMDinit(iset)
      end do
     
c check using multiple sets       
      do i=1,34
         iset =102100+i
         call TMDinit(iset) ! all TMD uncertaities PB-NLO-set1
         iset =102200+i
         call TMDinit(iset) ! all TMD uncertaities PB-NLO-set2
      end do


c since we have multiple sets, we need to specify with TMDset(iset) which set to use:
      do i=1,34
         iset =102100+i
         call TMDset(iset)
         call TMDpdf(kf,x,xbar,kt,mu,up,ubar,dn,dbar,strange,sbar,charm,cbar,bottom,bbar,glu)
         write(6,*) ' fortran TMDlib: iset = ',iset, ' xu = ',up,' xd = ',dn,'xg = ',glu
         iset =102200+i
         call TMDset(iset)
         call TMDpdf(kf,x,xbar,kt,mu,up,ubar,dn,dbar,strange,sbar,charm,cbar,bottom,bbar,glu)
         write(6,*) ' fortran TMDlib: iset = ',iset, ' xu = ',up,' xd = ',dn,'xg = ',glu
      end do
      
      write(6,*) ' now starting the other loop '

      do i=1,28
         iset = isets(i)
         call TMDset(iset)
         call TMDpdf(kf,x,xbar,kt,mu,up,ubar,dn,dbar,strange,sbar,charm,cbar,bottom,bbar,glu)
         write(6,*) ' TMDlib fortran with TMDset:',iset,'  xu = ',up,' xd = ',dn,'xg = ',glu
c test calling without "TMDset"
         call TMDpdfset(iset,kf,x,xbar,kt,mu,up,ubar,dn,dbar,strange,sbar,charm,cbar,bottom,bbar,glu)
         write(6,*) ' TMDlib fortran with iset:',iset,'  xu = ',up,' xd = ',dn,'xg = ',glu
      end do


      
      Stop
      End
      
